> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unusual Options Activity

> Returns unusual options activity data, including large or unusual options trades that may signal informed trading

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "option_activity": [
      {
        "aggressor_ind": "0.73",
        "ask": "5.75",
        "bid": "5.2",
        "cost_basis": "336000.0",
        "date": "2025-12-29",
        "date_expiration": "2026-09-18",
        "description": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 vs 636 OI; Earnings 1/22 Before Open [est] ",
        "description_extended": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 @ $5.6 vs 636 OI; Earnings 1/22 Before Open [est] Ref=$51.4",
        "exchange": "NYSE",
        "execution_estimate": "AT_ASK",
        "id": "6952ef7b6ab0a40001b39586",
        "midpoint": "5.475",
        "open_interest": "636",
        "option_activity_type": "TRADE",
        "option_symbol": "FCX260918P00050000",
        "price": "5.6",
        "put_call": "PUT",
        "sentiment": "BEARISH",
        "size": "600",
        "strike_price": "50.00",
        "ticker": "FCX",
        "time": "16:15:32",
        "trade_count": 1,
        "underlying_price": "51.4",
        "underlying_type": "STOCK",
        "updated": 1767042939,
        "volume": "1601"
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v1/signal/option_activity
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/signal/option_activity:
    get:
      tags:
        - Option Activity
      summary: OptionActivity V1
      description: >-
        Returns unusual options activity data, including large or unusual
        options trades that may signal informed trading
      operationId: get-option-activity-v1
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: date
        - description: Start date in YYYY-MM-DD format
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: date
        - description: End date in YYYY-MM-DD format
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: date
        - description: Sort by date
          in: query
          name: parameters[date_sort]
          schema:
            type: string
            enum:
              - date
        - description: One or more ticker symbols separated by a comma. Maximum 50 tickers
          in: query
          name: parameters[tickers]
          schema:
            type: string
            format: csv
        - description: ID
          in: query
          name: parameters[id]
          schema:
            type: string
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: Option Activity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.OptionActivity'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.OptionActivity:
      properties:
        aggressor_ind:
          example: '1'
          type: string
        ask:
          example: '4.35'
          type: string
        bid:
          example: '4.25'
          type: string
        cost_basis:
          example: '2156000'
          type: string
        date:
          example: '2024-01-09'
          type: string
        date_expiration:
          example: '2024-01-19'
          type: string
        description:
          example: Trade
          type: string
        description_extended:
          example: Sweep | Bullish | Above Ask
          type: string
        exchange:
          example: NASDAQ
          type: string
        execution_estimate:
          example: Above Ask
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5ad
          type: string
        midpoint:
          example: '4.30'
          type: string
        open_interest:
          example: '1523'
          type: string
        option_activity_type:
          example: Sweep
          type: string
        option_symbol:
          example: AAPL240119C00195000
          type: string
        price:
          example: '4.31'
          type: string
        put_call:
          example: Call
          type: string
        sentiment:
          example: Bullish
          type: string
        size:
          example: '500'
          type: string
        strike_price:
          example: '195.00'
          type: string
        ticker:
          example: AAPL
          type: string
        time:
          example: '14:35:22'
          type: string
        trade_count:
          example: 1
          type: integer
        underlying_price:
          example: '185.92'
          type: string
        underlying_type:
          example: Common Stock
          type: string
        updated:
          example: 1704819600
          type: integer
        volume:
          example: '2845'
          type: string
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````